export declare const palePink = "#FFEEF5";
export interface AppTouch {
    alive: boolean;
    x: number;
    y: number;
    id: number | string;
    index: number;
    diameter: number;
    startTime: number;
    endTime: number;
}
export declare class Button {
    private x;
    private y;
    private width;
    private height;
    private text;
    switchedOn: boolean;
    constructor(x: number, y: number, width: number, height: number, text: string, switchedOn: boolean);
    draw(ctx: CanvasRenderingContext2D): void;
    private drawText;
    handleTouchStart(touch: AppTouch): void;
}
export declare function mapDomToCanvasCoordinates(canvas: HTMLCanvasElement, clientX: number, clientY: number): {
    x: number;
    y: number;
};
