import { Tract } from "./Tract";
export declare class TractShaper {
    private tract;
    private readonly movementSpeed;
    readonly velumOpenTarget = 0.4;
    readonly velumClosedTarget = 0.01;
    targetDiameter: Float64Array;
    velumTarget: number;
    tongueIndex: number;
    tongueDiameter: number;
    private lastObstruction;
    constructor(tract: Tract);
    private shapeMainTract;
    getRestDiameter(i: number): number;
    adjustTractShape(deltaTime: number): void;
    private addTransient;
    private shapeNose;
}
