import { Tract } from "./Tract";
import { TractShaper } from "./TractShaper";
import { AppTouch } from "./GuiUtils";
export declare class TractUi {
    private tract;
    private tractShaper;
    private ctx;
    private tongueLowerIndexBound;
    private tongueUpperIndexBound;
    private tongueIndexCentre;
    private tongueTouch;
    private guiWobbleTime;
    constructor(tract: Tract, tractShaper: TractShaper);
    private getPolar;
    private getWobble;
    private moveTo;
    private lineTo;
    private drawText;
    private drawTextStraight;
    private drawCircle;
    getIndex(x: number, y: number): number;
    getDiameter(x: number, y: number): number;
    draw(ctx: CanvasRenderingContext2D): void;
    drawBackground(ctx: CanvasRenderingContext2D): void;
    private drawAmplitudes;
    private drawTongueControl;
    handleTouches(touches: AppTouch[], time: number): void;
    private reduceTargetDiametersByTouch;
    private generateTurbulencePoints;
    private handleTongueTouch;
}
