import { Synthesizer } from "./Synthesizer";
export declare class AudioPlayer {
    private synthesizer;
    private audioContext;
    private started;
    private scriptProcessor;
    private dummySource;
    constructor(synthesizer: Synthesizer, audioContext: AudioContext);
    start(): void;
    stop(): void;
    private createScriptProcessor;
    private releaseScriptProcessor;
    private resumeAudioContext;
    private audioprocessEventHandler;
}
