export declare class Glottis {
    alwaysVoice: boolean;
    autoWobble: boolean;
    isTouched: boolean;
    targetTenseness: number;
    targetFrequency: number;
    vibratoAmount: number;
    vibratoFrequency: number;
    private sampleRate;
    private sampleCount;
    private intensity;
    private loudness;
    private smoothFrequency;
    private timeInWaveform;
    private newTenseness;
    private oldTenseness;
    private newFrequency;
    private oldFrequency;
    private aspirationNoiseSource;
    private waveformLength;
    private alpha;
    private e0;
    private epsilon;
    private shift;
    private delta;
    private te;
    private omega;
    constructor(sampleRate: number);
    step(lambda: number): number;
    getNoiseModulator(): number;
    adjustParameters(deltaTime: number): void;
    private calculateNewFrequency;
    private calculateNewTenseness;
    private adjustIntensity;
    private calculateVibrato;
    private setupWaveform;
    private normalizedLFWaveform;
}
