import { Glottis } from "./Glottis";
import { AppTouch } from "./GuiUtils";
export declare class GlottisUi {
    private pitchControlX;
    private pitchControlY;
    private glottis;
    private touch;
    constructor(glottis: Glottis);
    drawBackground(ctx: CanvasRenderingContext2D): void;
    private drawBar;
    private drawArrow;
    draw(ctx: CanvasRenderingContext2D): void;
    private drawPitchControl;
    handleTouches(touches: AppTouch[]): void;
}
