import { Glottis } from "./Glottis";
import { Tract } from "./Tract";
import { TractShaper } from "./TractShaper";
export declare class Synthesizer {
    glottis: Glottis;
    tract: Tract;
    tractShaper: TractShaper;
    private sampleRate;
    constructor(sampleRate: number);
    reset(): void;
    synthesize(buf: Float32Array | Float64Array): void;
    private synthesizeBlock;
    private calculateNewBlockParameters;
}
